#if !defined(__dbrabtdl_h)              // Sentry, use file only if it's not already included.
#define __dbrabtdl_h

/*  Project diabar
    
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    diabar.exe Application
    FILE:         dbrabtdl.h
    AUTHOR:       Free to Anyone


    OVERVIEW
    ========
    Class definition for diabarAboutDlg (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "diabrapp.rh"                  // Definition of all resources.


//{{TDialog = diabarAboutDlg}}
class diabarAboutDlg : public TDialog {
public:
    diabarAboutDlg (TWindow *parent, TResId resId = IDD_ABOUT, TModule *module = 0);
    virtual ~diabarAboutDlg ();

//{{diabarAboutDlgVIRTUAL_BEGIN}}
public:
    void SetupWindow ();
//{{diabarAboutDlgVIRTUAL_END}}
};    //{{diabarAboutDlg}}


// Reading the VERSIONINFO resource.
class ProjectRCVersion {
public:
    ProjectRCVersion (TModule *module);
    virtual ~ProjectRCVersion ();

    bool GetProductName (LPSTR &prodName);
    bool GetProductVersion (LPSTR &prodVersion);
    bool GetCopyright (LPSTR &copyright);
    bool GetDebug (LPSTR &debug);

protected:
    LPBYTE      TransBlock;
    void FAR    *FVData;

private:
    // Don't allow this object to be copied.
    ProjectRCVersion (const ProjectRCVersion &);
    ProjectRCVersion & operator =(const ProjectRCVersion &);
};


#endif                                      // __dbrabtdl_h sentry.
