/*  Project diabar
    
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    diabar.apx Application
    FILE:         tgdgtfrm.cpp
    AUTHOR:       Free to Anyone


    OVERVIEW
    ========
    Source file for implementation of TGadgetFrame (TFrameWindow).      
*/

#include "diabar.h"
#pragma hdrstop

#include "tgdgtfrm.h"


//{{TGadgetFrame Implementation}}


TGadgetFrame::TGadgetFrame (TWindow* parent, const char far* title, TWindow* clientWnd, bool shrinkToClient, TModule* module):
    TFrameWindow(parent, title, clientWnd == 0 ? new TDialogBar(parent) : clientWnd, shrinkToClient, module)
{
    // Override the default window style for TFrameWindow.
    Attr.Style |= WS_CHILD | WS_CLIPCHILDREN | WS_VISIBLE;
    Attr.Style &= ~(WS_BORDER | WS_CAPTION | WS_MAXIMIZEBOX | WS_MINIMIZEBOX | WS_SYSMENU | WS_THICKFRAME);

    // Change the window's background color
    SetBkgndColor(RGB(0x00, 0x80, 0xc0));

    // INSERT>> Your constructor code here.

}


TGadgetFrame::~TGadgetFrame ()
{
    Destroy();

    // INSERT>> Your destructor code here.

}

