#if !defined(__dbrmdicl_h)              // Sentry, use file only if it's not already included.
#define __dbrmdicl_h

/*  Project diabar
    
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    diabar.exe Application
    FILE:         dbrmdicl.h
    AUTHOR:       Free to Anyone


    OVERVIEW
    ========
    Class definition for diabarMDIClient (TMDIClient).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "diabrapp.rh"            // Definition of all resources.


//{{TMDIClient = diabarMDIClient}}
class diabarMDIClient : public TMDIClient {
public:
    int                     ChildCount;                 // Number of child window created. 

    diabarMDIClient(TModule* module = 0);
    virtual ~diabarMDIClient ();

    void OpenFile (const char *fileName = 0);

private:
    void LoadTextFile ();

//{{diabarMDIClientVIRTUAL_BEGIN}}
protected:
    virtual void SetupWindow ();
//{{diabarMDIClientVIRTUAL_END}}

//{{diabarMDIClientRSP_TBL_BEGIN}}
protected:
    void CmFilePrint ();
    void CmFilePrintSetup ();
    void CmFilePrintPreview ();
    void CmPrintEnable (TCommandEnabler &tce);
    void EvDropFiles (TDropInfo);
//{{diabarMDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(diabarMDIClient);
};    //{{diabarMDIClient}}


#endif                                      // __dbrmdicl_h sentry.
