/*  Project diabar
    
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    diabar.apx Application
    FILE:         tdialgbr.cpp
    AUTHOR:       Free to Anyone


    OVERVIEW
    ========
    Source file for implementation of TDialogBar (TDialog).      
*/

#include "diabar.h"
#pragma hdrstop

#include "tdialgbr.h"


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TDialogBar, TDialog)
//{{TDialogBarRSP_TBL_BEGIN}}
    EV_BN_CLICKED(IDC_PUSHBUTTON1, EvPushBtn1),
//{{TDialogBarRSP_TBL_END}}
	 EV_COMMAND(IDOK, CmOk),
	 EV_COMMAND(IDCANCEL, CmCancel),
END_RESPONSE_TABLE;


//{{TDialogBar Implementation}}


TDialogBar::TDialogBar (TWindow* parent, TResId resId, TModule* module):
    TDialog(parent, resId, module)
{
    // INSERT>> Your constructor code here.

}


TDialogBar::~TDialogBar ()
{
    Destroy();

    // INSERT>> Your destructor code here.

}


bool TDialogBar::PreProcessMsg (MSG& msg)
{
    bool result;

    result = TDialog::PreProcessMsg(msg);

    // INSERT>> Your code here.
	 if (msg.message == WM_LBUTTONUP){
		 TApplication *theApp;
		 theApp = TYPESAFE_DOWNCAST(GetApplication(), TApplication);
		 ::SetFocus((theApp->GetMainWindow())->HWindow);
	 }
	 return result;
}


void TDialogBar::EvPushBtn1 ()
{
    // INSERT>> Your code here.
	 MessageBox("You pressed the button!!!!", "Test", MB_OK);
}

