#if !defined(__tdialgbr_h)              // Sentry, use file only if it's not already included.
#define __tdialgbr_h

/*  Project diabar
    
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    diabar.apx Application
    FILE:         tdialgbr.h
    AUTHOR:       Free to Anyone


    OVERVIEW
    ========
    Class definition for TDialogBar (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop


#include "diabrapp.rh"            // Definition of all resources.


//{{TDialog = TDialogBar}}
class TDialogBar : public TDialog {
public:
    TDialogBar (TWindow* parent, TResId resId = DialogBar, TModule* module = 0);
    virtual ~TDialogBar ();
protected:
	 virtual void CmCancel(){};
	 virtual void CmOk(){};
//{{TDialogBarVIRTUAL_BEGIN}}
public:
    virtual bool PreProcessMsg (MSG& msg);
//{{TDialogBarVIRTUAL_END}}

//{{TDialogBarRSP_TBL_BEGIN}}
protected:
    void EvPushBtn1 ();
//{{TDialogBarRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TDialogBar);
};    //{{TDialogBar}}


#endif                                      // __tdialgbr_h sentry.

